
use "C:\Users\Antonio\Desktop\MCC database.dta", clear

	
**Participants characteristics**
********************************
summ age if mcc2!=.
tab sex if mcc2!=.

**Table 1**
***********
tab sex mcc2, row chi
tab agecat mcc2, row chi
tab educacat1 mcc2, row chi
tab windex1 mcc2, row chi
tab site mcc2, row chi

**Table 2: Prevalence of chronic conditions**
*********************************************
**Main outcomes**
ci hdrinking if mcc2!=., bin
ci asthma2 if mcc2!=., bin
ci copd if mcc2!=., bin
ci deprecat2 if mcc2!=., bin
ci ht3 if mcc2!=., bin
ci db3 if mcc2!=., bin
**Secondary outcomes**
ci stroke if mcc2!=., bin
ci hdisease if mcc2!=., bin
ci reflux if mcc2!=., bin
ci lcancer if mcc2!=., bin
**Risk factors**
ci smokedaily if mcc2!=., bin
ci heavy if mcc2!=., bin
ci cholcat if mcc2!=., bin
ci pal_metscore2 if mcc2!=., bin
ci obesity if mcc2!=., bin
ci hdlcat if mcc2!=., bin
ci ldlcat if mcc2!=., bin
ci ms4 if mcc2!=., bin


**Table 3: Prevalence of multimorbidity**
*****************************************
bysort site: tab mcc2
ci mcc2 if mcc2!=., bin
**Main outcomes**
bysort site: ci hdrinking if mcc2!=., bin
ci hdrinking if mcc2!=., bin
bysort site: ci asthma2 if mcc2!=., bin
ci asthma2 if mcc2!=., bin
bysort site: ci copd if mcc2!=., bin
ci copd if mcc2!=., bin
bysort site: ci deprecat2 if mcc2!=., bin
ci deprecat2 if mcc2!=., bin
bysort site: ci ht3 if mcc2!=., bin
ci ht3 if mcc2!=., bin
bysort site: ci db3 if mcc2!=., bin
ci db3 if mcc2!=., bin
**Risk factors**
bysort site: ci smokedaily if mcc2!=., bin
ci smokedaily if mcc2!=., bin
bysort site: ci heavy if mcc2!=., bin
ci heavy if mcc2!=., bin
bysort site: ci cholcat if mcc2!=., bin
ci cholcat if mcc2!=., bin
bysort site: ci hdlcat if mcc2!=., bin
ci hdlcat if mcc2!=., bin
bysort site: ci ldlcat if mcc2!=., bin
ci ldlcat if mcc2!=., bin
bysort site: ci pal_metscore2 if mcc2!=., bin
ci pal_metscore2 if mcc2!=., bin
bysort site: ci obesity if mcc2!=., bin
ci obesity if mcc2!=., bin
bysort site: ci ms4 if mcc2!=., bin
ci ms4 if mcc2!=., bin

**Table 4**
***********
tab hdrinking if mcc2!=.
tab asthma if mcc2!=.
tab copd if mcc2!=.
tab db3 if mcc2!=.
tab deprecat2 if mcc2!=.
tab ht3 if mcc2!=.
**Comorbidities**
**Alcohol disorder**
tab asthma2 hdrinking if mcc2!=., col
tab copd hdrinking if mcc2!=., col
tab db3 hdrinking if mcc2!=., col
tab deprecat2 hdrinking if mcc2!=., col
tab ht3 hdrinking if mcc2!=., col
**Asthma**
tab hdrinking asthma2 if mcc2!=., col
tab copd asthma2 if mcc2!=., col
tab db3 asthma2 if mcc2!=., col
tab deprecat2 asthma2 if mcc2!=., col
tab ht3 asthma2 if mcc2!=., col
**COPD**
tab hdrinking copd if mcc2!=., col
tab asthma2 copd if mcc2!=., col
tab db3 copd if mcc2!=., col
tab deprecat2 copd if mcc2!=., col
tab ht3 copd if mcc2!=., col
**Diabetes**
tab hdrinking db3 if mcc2!=., col
tab asthma2 db3 if mcc2!=., col
tab copd db3 if mcc2!=., col
tab deprecat2 db3 if mcc2!=., col
tab ht3 db3 if mcc2!=., col
**Depression**
tab hdrinking deprecat2 if mcc2!=., col
tab asthma2 deprecat2 if mcc2!=., col
tab copd deprecat2 if mcc2!=., col
tab db3 deprecat2 if mcc2!=., col
tab ht3 deprecat2 if mcc2!=., col
**Hypertension**
tab hdrinking ht3 if mcc2!=., col
tab asthma2 ht3 if mcc2!=., col
tab copd ht3 if mcc2!=., col
tab db3 ht3 if mcc2!=., col
tab deprecat2 ht3 if mcc2!=., col

**Comparisons by sex**
**********************
tab mcc2 sex if mcc2!=., col chi
tab hdrinking sex if mcc2!=., col chi
bysort sex: ci hdrinking if mcc2!=., bin
tab asthma2 sex if mcc2!=., col chi
bysort sex: ci asthma2 if mcc2!=., bin
tab copd sex if mcc2!=., col chi
bysort sex: ci copd if mcc2!=., bin
tab deprecat2 sex if mcc2!=., col chi
bysort sex: ci deprecat2 if mcc2!=., bin
tab ht3 sex if mcc2!=., col chi
bysort sex: ci ht3 if mcc2!=., bin
tab db3 sex if mcc2!=., col chi
bysort sex: ci db3 if mcc2!=., bin
tab smokedaily sex if mcc2!=., col chi
bysort sex: ci smokedaily if mcc2!=., bin
tab hdrinking sex if mcc2!=., col chi
bysort sex: ci hdrinking if mcc2!=., bin
tab cholcat sex if mcc2!=., col chi
bysort sex: ci cholcat if mcc2!=., bin
tab hdlcat sex if mcc2!=., col chi
bysort sex: ci hdlcat if mcc2!=., bin
tab ldlcat sex if mcc2!=., col chi
bysort sex: ci ldlcat if mcc2!=., bin
tab pal_metscore2 sex if mcc2!=., col chi
bysort sex: ci pal_metscore2 if mcc2!=., bin
tab obesity sex if mcc2!=., col chi
bysort sex: ci obesity if mcc2!=., bin
tab ms4 sex if mcc2!=., col chi
bysort sex: ci ms4 if mcc2!=., bin

**Multinomial logistic regression**
***********************************
xi: mlogit mcc2 i.sex i.agecat i.educacat1 i.windex1, rrr cluster(site) robust
xi: mlogit mcc2 i.sex i.agecat i.educacat1 i.windex1 i.site, rrr robust
